aboutsummaryrefslogtreecommitdiff
path: root/install-prerequisites.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install-prerequisites.sh')
-rwxr-xr-xinstall-prerequisites.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/install-prerequisites.sh b/install-prerequisites.sh
new file mode 100755
index 0000000..2f23b6b
--- /dev/null
+++ b/install-prerequisites.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+
+sudo dpkg --add-architecture armhf
+sudo apt-get update -qq
+sudo apt-get install -qqy build-essential
+type -p git || sudo apt-get install -y git
+type -p pkg-config || sudo apt-get install -y pkg-config
+type -p arm-linux-gnueabihf-gcc || sudo apt-get install -y gcc-arm-linux-gnueabihf libc6-dev-armhf-cross